Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Looking for a module which allows us to edit OPER, ADMN and ROOT access  (Read 2674 times)

0 Members and 1 Guest are viewing this topic.

David Joiris

  • Anope User
  • Offline Offline
  • Posts: 4

Hi ! I'm looking for a module which allows me to edit the access. I love the physical access (/kill, /gline by o:lines on unrealircd.conf) but the Services Access aren't what I'd like to have.
How could I decide on what is restricted to an OPEP, an ADMN or a ROOT ? (I'm not talking about the o:line, I'm talking about /os OPER add, /os ADMN add and the the nicknames on the services.conf which are ROOT. It doesn't depend on the o:line)

It might already exist, I don't know, I haven't found it yet.
Sorry my English isn't perfect, I'm not English.
Thank you ! :)
Logged

Andromeda

  • Anope User
  • Offline Offline
  • Posts: 17

If you use Anope 2, the opertype blocks allow you to define which commands a rank has access to. You can also add as many ranks as you like and with whatever names you like.

On my network I have 7 ranks ranging from support helpers (mostly hostserv related), to complete root administrators with full access to everything.

If you want the module for 1.8.8 or older, that's up to you, but my recommendation is to use Anope 2... it will solve your problem and Anope 2 has so much more to offer.
Logged

David Joiris

  • Anope User
  • Offline Offline
  • Posts: 4

I've got anope.1.8.6. Perhaps it's time to evolve. Thank you ! :)
Logged

Andromeda

  • Anope User
  • Offline Offline
  • Posts: 17

No problem, happy to help.... if you need help, check out the instructions here (also shows some of the features and why you should change!) ... http://www.anope.org/news.php?id=79
Logged

David Joiris

  • Anope User
  • Offline Offline
  • Posts: 4

Thanks, are the modules I've always had with my anope-1.8.6 version still working ? Thanks ^^
Logged

Andromeda

  • Anope User
  • Offline Offline
  • Posts: 17

Doubtful. Anope 2 is coded from scratch and a good chunk of the older modules are no longer needed. The only one I can think of that's really desired right now is os_noinchanlist ...I've been working on a module for it but I've not had a lot of free time lately.

Check out the features in Anope 2 and compare against what you have, see if there's anything missing... But most of the old modules are actually part of Anope now, so you should be alright.

We switched from Anope 1.8.8 about 3 weeks ago and have't looked back... Don't regret changing, it's straight up fantastic.
Logged

David Joiris

  • Anope User
  • Offline Offline
  • Posts: 4

Thanks, I'll do it
Logged

katsklaw

  • Supporter
  • Anope User
  • Offline Offline
  • Posts: 537

For 1.8x there is: http://modules.anope.org/index.php?page=view&id=188 or if you want to also include Unrealircd oper levels you can use my Unreal IRd version 3.2 specific version at: http://modules.anope.org/index.php?page=view&id=134
Logged

John

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 19
    • IRCSpeed - The Network with a Difference

I've got anope.1.8.6. Perhaps it's time to evolve. Thank you ! :)

lol, I use Anope-1.8.6 too, with Unreal3.2.9 - I don't want to upgrade, my services.* are exactly how I want them. Anope 2 is good and all, but mine are just a little bit more tweaked specific to my net :)
« Last Edit: May 13, 2014, 03:37:59 PM by John »
Logged
Pages: [1]   Go Up